Gnome::Gda::MetaStructError Class Reference

Exception class for Gda MetaStruct errors. More...

Inheritance diagram for Gnome::Gda::MetaStructError:
[legend]
Collaboration diagram for Gnome::Gda::MetaStructError:
[legend]

## Public Types

enum | Code { META_STRUCT_UNKNOWN_OBJECT_ERROR, META_STRUCT_DUPLICATE_OBJECT_ERROR, META_STRUCT_INCOHERENCE_ERROR, META_STRUCT_XML_ERROR }

## Public Member Functions

| MetaStructError (Code error_code, const Glib::ustring& error_message)
| MetaStructError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gda MetaStruct errors.

## Member Enumeration Documentation

enum Gnome::Gda::MetaStructError::Code

Enumerator
META_STRUCT_UNKNOWN_OBJECT_ERROR |
META_STRUCT_DUPLICATE_OBJECT_ERROR |
META_STRUCT_INCOHERENCE_ERROR |
META_STRUCT_XML_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::MetaStructError::MetaStructError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::MetaStructError::MetaStructError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gnome::Gda::MetaStructError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- libgdamm/metastruct.h